# -*- encoding: utf-8 -*-
##############################################################################
#
#    Aquilog - Open Source Solutions
#    Copyright (C) 2005 - 2015 Aquilog <http://www.aquilog.fr>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see http://www.gnu.org/licenses/.
#
##############################################################################


from openerp import api, models, fields, _

class PylotePurchaseOrder(models.Model):
    _inherit = 'purchase.order'

    s_contact = fields.Many2one('res.partner', string='Contact interne', domain=[('parent_id.id','=',1)])
    s_summary = fields.Char(string='Objet')

class PylotePurchaseOrderLine(models.Model):
    _inherit = 'purchase.order.line'

    def get_ref(self):
        fournisseurs = self.product_id.seller_ids.filtered(lambda s: s.name.id == self.order_id.partner_id.id or s.name.id == self.order_id.partner_id.parent_id.id)
        if len(fournisseurs) >= 1:
            return fournisseurs[0].product_code
        return ""
